
QGIS Application - Feature request #3257

Enhancement: don't show label unless the feature is visible

2010-11-25 05:14 PM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13317

Description

Labels are currently shown for features that are hidden behind other features.

e.g. see the screenshot at [https://trac.osgeo.org/qgis/ticket/3253], where a white polygon has been used specifically to mask other

layers.

It would be good if the labelling engine could detect that a feature is invisible, and not label it.  Maybe this should be optional.

I guess this might be very difficult to achieve... and if a good solution was implemented for #3253 I think the benefits of this labeling

enhancement would be minimal.  But I figure it is worth recording the idea anyway.

History

#1 - 2012-07-28 05:19 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Category changed from Symbology to Labelling

#2 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
